//========================================================================================
//
//	File:				FWShdWin.h
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef FWSHDWIN_H
#define FWSHDWIN_H

#ifndef FWTCOLL_H
#include "FWTColl.h"
#endif

#ifndef FWODTYPS_H
#include "FWODTyps.h"
#endif

//========================================================================================
//	Forward Declarations
//========================================================================================

class FW_CFloatingWindow;
class ODWindowState;

//========================================================================================
//	class FW_CPrivSharedWindow
//========================================================================================

class FW_CPrivSharedWindow 
{
//----------------------------------------------------------------------------------------
//	Constructors/Destructor
//
public:
	FW_CPrivSharedWindow(ODTypeToken presentationType);
	~FW_CPrivSharedWindow();
	
//----------------------------------------------------------------------------------------
//	New API
//
public:
	FW_CFloatingWindow* 		GetFloatingWindow(Environment* ev, ODPart* part) const;
	
	ODID						GetWindowID() const
									{return fWindowID;}
	void						SetWindowID(ODID windowID);
	
	ODTypeToken					GetPresentationType() const
									{return fPresentation;}
									
	void						HideShow(Environment *ev, ODWindowState* windowState, FW_Boolean state);
	
	void						AddWindow(FW_CFloatingWindow* window);
	void						RemoveWindow(FW_CFloatingWindow* window);
	long						CountWindow() const;
	
//----------------------------------------------------------------------------------------
//	Data Members
//
private:
	ODID											fWindowID;
	ODTypeToken 									fPresentation;
	FW_Boolean										fWasShown;
	FW_TOrderedCollection<FW_CFloatingWindow>*		fWindowList;
};

#endif